---

- name: basic
  description: only the most important metrics - WAL, DB-level statistics (size, tx and backend counts)
  metrics:
    db_stats: 60
    db_size: 300
    wal: 60

- name: standard
  description: basic level + table, index, stat_statements stats
  metrics:
    db_stats: 60
    db_size: 300
    index_stats: 900
    sproc_stats: 180
    stat_statements: 180
    table_stats: 300
    wal: 60

- name: pgbouncer
  description: per DB stats
  metrics:
    pgbouncer_stats: 60

- name: exhaustive
  description: almost all available metrics for a deeper performance understanding
  metrics:
    archiver: 120
    archiver_pending_count: 120
    backends: 10
    bgwriter: 60
    datfrozenxid: 300
    db_size: 300
    db_stats: 60
    index_scans_not_unique: 120
    index_stats: 120
    locks: 60
    locks_mode: 60
    pg_catalog_size: 300
    postgres_role: 120
    replication: 60
    sproc_stats: 60
    stat_statements: 60
    stat_statements_calls: 60
    table_io_stats: 60
    table_rows: 60
    table_stats: 60
    vacuum_workers: 30
    wal: 60
    wal_count: 300

- name: exhaustive_ext
  description: exhaustive level + metrics from third-party extensions - pg_stat_kcache, pg_wait_sampling
  metrics:
    archiver: 120
    archiver_pending_count: 120
    backends: 10
    bgwriter: 60
    datfrozenxid: 300
    db_size: 300
    db_stats: 60
    index_scans_not_unique: 120
    index_stats: 120
    kcache: 60
    locks: 60
    locks_mode: 60
    pg_catalog_size: 300
    postgres_role: 120
    replication: 60
    sproc_stats: 60
    stat_statements: 60
    stat_statements_calls: 60
    table_io_stats: 60
    table_rows: 60
    table_stats: 60
    vacuum_workers: 30
    wait_sampling_instance_level: 60
    wait_sampling_profile: 60
    wait_sampling_reset: 3600
    wal: 60
    wal_count: 300
